---
name: Lucas Charles
start_date: 2019-01-02
locality: Portland, OR
country: USA
role: <a href="/job-families/engineering/backend-engineer/#secure">Staff Backend Engineer,
  Secure:Static Analysis</a>
reports_to: thomaswoodham
picture: lucascharles.jpg
twitter: theoretick
linkedin: lucasgcharles
gitlab: theoretick
departments:
- Engineering Function
- Development Department
- Sec Section
- Secure:Static Analysis BE Team
projects:
  gitlab: reviewer backend
  secure-analyzers: reviewer go
  secure-common-command: trainee_maintainer
  secure-common-report: trainee_maintainer
  secure-common-ruleset: trainee_maintainer
  secure-sast: reviewer
  secure-SAST-bandit: trainee_maintainer
  secure-SAST-brakeman: trainee_maintainer
  secure-SAST-eslint: trainee_maintainer
  secure-SAST-flawfinder: trainee_maintainer
  secure-SAST-gosec: trainee_maintainer
  secure-SAST-kubesec: trainee_maintainer
  secure-SAST-mobsf: trainee_maintainer
  secure-SAST-nodejs-scan: trainee_maintainer
  secure-SAST-phpcs-security-audit: trainee_maintainer
  secure-SAST-pmd-apex: trainee_maintainer
  secure-SAST-security-code-scan: trainee_maintainer
  secure-SAST-semgrep: trainee_maintainer
  secure-SAST-sobelow: trainee_maintainer
  secure-SAST-spotbugs: trainee_maintainer
  secure-SAST-tracking-calculator: trainee_maintainer
  secure-SD-secrets: trainee_maintainer
pronouns: he/him
pronunciation: <a href="http://ipa-reader.xyz/?text=%CB%88lu.k%C9%90s%20t%CA%83%C9%91%C9%B9lz">/ˈlu.kɐs
  tʃɑɹlz/ (audio link)</a>
story: |
  Lucas likes building tools to build more tools. He joined GitLab in 2019 after passionately
  using their products for many years.

  When not coding, Lucas is living in the Pacific Northwest, brewing his own beer, camping,
  hiking, practicing his handstands, and making too many jokes.
expertise: '<li><a href="https://docs.gitlab.com/ee/topics/airgap">Offline Security
  Scans</a> <a href="/company/team/structure/#expert">expert</a></li>

  '
domain_expertise:
- secure
specialty: Static Analysis

